<<pkg_resources>>

How to fix this error:

/usr/lib/python3/dist-packages/dirsearch/dirsearch.py:23: DeprecationWarning: pkg_resources is deprecated as an API. See Package Discovery and Resource Access using pkg_resources - setuptools 70.0.0.post20240531 documentation
from pkg_resources import DistributionNotFound, VersionConflict
subdomains_alive.txt does not exist

and thank you

I think that you should report the issue on dirsearch’s issue tracker, if it has not been reported yet, and then check for suggestions from there if any…

Thank you for answering me
I opened dirsearch.py ​​with nano I deleted “from pkg_resources” and wrote the following instead:

< form importlib_resources import files>
I didn’t receive any more errors, but the dirsearch tool doesn’t work properly Do you think you can give me a suggestion?

در تاریخ دوشنبه ۱۷ ژوئن ۲۰۲۴،‏ ۲۱:۲۰ sinoroc via Discussions on Python.org <notifications@python1.discoursemail.com> نوشت: